com.threerings.stats.data

## Interface Stat.AuxDataSource

All Known Implementing Classes:
  StatRepository

Enclosing class:
  Stat

    public static interface Stat.AuxDataSource

Provides auxilliary information to statistics during the persisting process.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCodeString(Stat.Type type, int code)` Maps the specified unique code back to its string value.
`int` `getStringCode(Stat.Type type, String value)` Maps the specified string to a unique integer value.

### Method Detail

#### getStringCode

    int getStringCode(Stat.Type type,
                      String value)

Maps the specified string to a unique integer value.

#### getCodeString

    String getCodeString(Stat.Type type,
                         int code)

Maps the specified unique code back to its string value.